#pragma once

#include <QMainWindow>
#include <QMenuBar>
#include <QStatusBar>
#include <QToolBar>

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow {
  Q_OBJECT
public:
  explicit MainWindow(QWidget *parent = nullptr);
  ~MainWindow();

private:
  QMenuBar *menuBar;
  QToolBar *toolbar;
  QStatusBar *statusBar;

  Ui::MainWindow *ui;
};